> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Summary

> Get the AI summary

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

Return the **OmniCaptioner**-generated summary. While still `processing` and not yet generated → `409`.

<Note>
  **Pricing:** \$0.001 / call · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="summary" type="string">AI-generated summary.</ResponseField>


## OpenAPI

````yaml GET /datalake/v1/videos/{id}/summary
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/videos/{id}/summary:
    get:
      tags:
        - Moments & Derived Content
      summary: Get the AI summary
      description: >-
        Return the **OmniCaptioner**-generated summary. While still `processing`
        and not yet generated → `409`.
      operationId: get_summary
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Video ID.
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                summary: …
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````